Upstream information

CVE-2008-5357 at MITRE

Description

Integer overflow in Java Runtime Environment (JRE) for Sun JDK and JRE 6 Update 10 and earlier; JDK and JRE 5.0 Update 16 and earlier; SDK and JRE 1.4.2_18 and earlier; and SDK and JRE 1.3.1_23 and earlier might allow remote attackers to execute arbitrary code via a crafted TrueType font file, which triggers a heap-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 456770 [RESOLVED / FIXED], 465624 [RESOLVED / FIXED], 471829 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • java-1_4_2-ibm >= 1.4.2_sr13-0.1.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13-0.1.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13-0.1.1
  • java-1_6_0-ibm >= 1.6.0-124.6.1
  • java-1_6_0-ibm-alsa >= 1.6.0-124.6.1
  • java-1_6_0-ibm-alsa-x86 >= 1.6.0-124.7.1
  • java-1_6_0-ibm-fonts >= 1.6.0-124.6.1
  • java-1_6_0-ibm-jdbc >= 1.6.0-124.6.1
  • java-1_6_0-ibm-plugin >= 1.6.0-124.6.1
  • java-1_6_0-ibm-x86 >= 1.6.0-124.7.1
Patchnames:
slessp0-java-1_4_2-ibm
slessp0-java-1_6_0-ibm